Data - Retrieve SLA Data
SLA-adatok lekérése a megadott SLA-kérelemhez
POST http://<Servername>/OperationsManager/data/sla
Kérelem törzse
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Kötelező | Típus | Description |
|---|---|---|---|
| duration | True |
string |
időtartam |
| id | True |
string |
azonosító |
| managementGroupId | True |
string |
Felügyeleti csoport azonosítója |
| value | True |
integer |
érték |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
OKÉ. Sikeresen lekérte az SLA-adatokat. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Példák
RetrieveSLAData
Mintakérelem
POST http://<Servername>/OperationsManager/data/sla
{
"value": 0,
"duration": "10",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"managementGroupId": "47bc8393-fecb-9791-4b3d-fdca7cc8bc79"
}
Mintaválasz
{
"name": "Application Service SLA",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"slaManagedEntityRowId": 141,
"slos": [
{
"id": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"name": "Application Service SLO1",
"targetClassName": "Service"
}
]
}
Definíciók
| Name | Description |
|---|---|
| SLARequest | |
| SLAResponse | |
| SLOResponse |
SLARequest
| Name | Típus | Description |
|---|---|---|
| duration |
string |
időtartam |
| id |
string |
azonosító |
| managementGroupId |
string |
Felügyeleti csoport azonosítója |
| value |
integer |
érték |
SLAResponse
| Name | Típus | Description |
|---|---|---|
| id |
string |
SLA-azonosító |
| name |
string |
SLA neve |
| slaManagedEntityRowId |
integer |
SLA felügyelt entitás sorazonosítója |
| slos |
SLO-adatok |
SLOResponse
| Name | Típus | Description |
|---|---|---|
| id |
string |
SLO-azonosító |
| name |
string |
SLO neve |
| targetClassName |
string |
SLO célosztály neve |